> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/apps/components/layout/hidden.md).

# Skjult

Styr synligheden af komponenter i PowerShell Universal-apps på tværs af skærmbreakpoints ved hjælp af de responsive hidden-hjælpefunktioner up, down og only.

Skift hurtigt og responsivt synlighedsværdien for komponenter og mere med hidden-hjælpefunktionerne.

## Sådan fungerer det

Hidden fungerer med et interval af brudpunkter, f.eks. `xsUp` eller `mdDown`, eller et eller flere brudpunkter, f.eks. `-Only 'sm'` eller `-Only @('md', 'xl')`. Intervaller og enkelte brudpunkter kan bruges samtidigt for at opnå meget tilpasset funktionsmåde. Intervallerne er inklusive de angivne brudpunkter.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

Ved brug af parameteren `-Up` for et vilkårligt brudpunkt skjules de angivne *underordnede* *ved eller over* brudpunktet.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

Ved brug af parameteren `-Down` for et vilkårligt breakpoint skjules de angivne *underordnede* *på eller under* breakpointet.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Ved brug af brudpunktparameteren `-Only` skjules de angivne *underordnede* *ved* det eller de angivne brudpunkt(er).

Parameteren `-Only` kan bruges på to måder:

* angiv et enkelt brudpunkt
* angiv et array af brudpunkter

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](/powershell-universal/da/powershell-kommandoer/new-udhidden.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/apps/components/layout/hidden.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
